***********************************************************************
* Copyright 1998,1999,2000,2001,2002,2005,2007,2008,2009,2010         *
* Andreas Stohl, Petra Seibert, A. Frank, Gerhard Wotawa,             *
* Caroline Forster, Sabine Eckhardt, John Burkhart, Harald Sodemann   *
*                                                                     *
* This file is part of FLEXPART.                                      *
*                                                                     *
* FLEXPART is free software: you can redistribute it and/or modify    *
* it under the terms of the GNU General Public License as published by*
* the Free Software Foundation, either version 3 of the License, or   *
* (at your option) any later version.                                 *
*                                                                     *
* FLEXPART is distributed in the hope that it will be useful,         *
* but WITHOUT ANY WARRANTY; without even the implied warranty of      *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the       *
* GNU General Public License for more details.                        *
*                                                                     *
* You should have received a copy of the GNU General Public License   *
* along with FLEXPART.  If not, see <http://www.gnu.org/licenses/>.   *
***********************************************************************

      REAL FUNCTION EW(X)
C     ****************************************************************
C     SAETTIGUNGSDAMPFDRUCK UEBER WASSER IN PA. X IN KELVIN.
C     NACH DER GOFF-GRATCH-FORMEL.
C     ****************************************************************
      EW=0.
      IF(X.LE.0.) STOP 'SORRY: T NOT IN [K]'
      Y=373.16/X
      A=-7.90298*(Y-1.)
      A=A+(5.02808*0.43429*ALOG(Y))
      C=(1.-(1./Y))*11.344
      C=-1.+(10.**C)
      C=-1.3816*C/(10.**7)
      D=(1.-Y)*3.49149
      D=-1.+(10.**D)
      D=8.1328*D/(10.**3)
      Y=A+C+D
      EW=101324.6*(10.**Y)       ! Saettigungsdampfdruck in Pa

      END
